RoboForex - News

RoboForex

893.25 5.25/10
77% of positive reviews
Real
How to join the service?

Information concerning MetaTrader4 terminal

Dear Clients and Partners!

MetaTrader4 developers are informing the users that from August 1st, 2013, MT4 Client Terminals and MultiTerminals, which are older than build 500, will no longer be supported. However, this restriction does not apply to the mobile versions of the platforms.
 
Updates are the result of hard work, performed by the software developers in order to improve the terminals’ functional capabilities, which may help traders to increase their trading experience. We recommend you to check for updates on a regular basis, so that you could use the entire potential of MT4 terminal in your trading activity.

In order to avoid any inconveniences, we recommend you to download and install the latest build of the RoboForex MetaTrader4 terminal right now.

Sincerely,
RoboForex


To leave a comment you must or Join us


By visiting our website and services, you agree to the conditions of use of cookies. Learn more I agree